import { IResult } from './httpService';
import { FacilitatorDashboardViewModel, FacilitatorNoteViewModel, FacilitatorClassViewModel } from '../models/facilitator-dashboard.model';
export declare class FacilitatorService {
  private static instance;
  private constructor();
  static getInstance(): FacilitatorService;
  fetchClasses(): Promise<IResult<FacilitatorClassViewModel[]>>;
  fetchDashboardData(payload: {
    ClassId: number;
  }): Promise<IResult<FacilitatorDashboardViewModel>>;
  fetchNotes(payload: {
    showAllNotes: boolean;
  }): Promise<IResult<FacilitatorNoteViewModel[]>>;
  addFacilitatorNote(payload: {
    NoteText: string;
  }): Promise<IResult<any>>;
  updateFacilitatorNote(payload: {
    NoteText: string;
    Id: number;
  }): Promise<IResult<any>>;
  deleteFacilitatorNote(id: number): Promise<IResult<any>>;
}
